package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("bi")
public interface class29 {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(IS)Z",
      garbageValue = "512"
   )
   boolean vmethod4310_base(int var1);

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(II)Z",
      garbageValue = "-1146773117"
   )
   boolean vmethod4320_base(int var1);

   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "(CI)Z",
      garbageValue = "984376689"
   )
   boolean vmethod4321_base(char var1);

   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "(ZB)Z",
      garbageValue = "-49"
   )
   boolean vmethod4312_base(boolean var1);
}
